<?xml version="1.0" encoding="UTF-8" standalone="no"?><dsa xmlns="http://www.coco-cloud.eu/dsa" encryption-key-schema="organization_default_scheme" governing-law="This Agreement shall be construed and interpreted according to the following laws and any replacing legislation : 1) Italian CAD - Digital Administration Code – specifically articles 58 ,62) 2) Decrees of the President of the Council of Ministers – DPCM no 109/2013 and DPCM no 194/2014 and 3) National Technical Guidelines for article 58 and for SPC (Public Connectivity System), released by AgID, and 4) the Applicable Data Protection Laws (e.g. the legislative decree 196/2003 and any subsequent replacing or amending legislation, i.e. the European General Data Protection Regulation - Regulation (EU) 2016/679)." id="DSA-8f4400db-363e-4f10-a8f0-83cfe4839b17.xml" indemnities="The Receiving party is fully responsible for the use of the data according to the Applicable Data Protection Laws. The Disclosing Party is fully responsible for the accuracy, the completeness, the quality of the data provided to the Receiving party and, to the maximum extent permitted by the applicable law, will not be liable for any direct and indirect damages that may arise as a consequence of the use of the data or for any damage arising from any interruption or delay in the processing or transmission of the data." purpose="InstitutionalAdministrativeActivity" status="AVAILABLE" title="Public Administration Data sharing example" user-consent="false" version="1.0" vocabulary-url="http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#">
  <description>this DSA contains the policies applicable to data sharing between public administrations</description>
  <expirationPolicy periodInDays="0">
    <complexPolicy>DenyAll</complexPolicy>
  </expirationPolicy>
  <revocationPolicy periodInDays="0">
    <complexPolicy>DenyAll</complexPolicy>
  </revocationPolicy>
  <updatePolicy periodInDays="0">
    <complexPolicy>DenyAll</complexPolicy>
  </updatePolicy>
  <parties>
    <organization id="EMPTY_ORG_1469028345120" name="org1" responsibilities="" role="data-controller"/>
    <organization id="EMPTY_ORG_1469028501521" name="org2" responsibilities="" role="data-controller"/>
  </parties>
  <validity>
    <startDate>2016-07-20+02:00</startDate>
    <endDate>2017-07-30+02:00</endDate>
    <offlineLicencesDuration>P1D</offlineLicencesDuration>
  </validity>
  <data>
    <datum id="DATUM_X_8" value="">
      <expression language="CNL4DSA">?X_8 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#MunicipalityOfficer&gt;</expression>
    </datum>
    <datum id="DATUM_X_10" value="">
      <expression language="CNL4DSA">?X_10 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Data&gt;</expression>
    </datum>
    <datum id="DATUM_X_66" value="">
      <expression language="CNL4DSA">?X_66 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Data&gt;</expression>
    </datum>
    <datum id="DATUM_X_47" value="">
      <expression language="CNL4DSA">?X_47 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Data&gt;</expression>
    </datum>
    <datum id="DATUM_X_63" value="">
      <expression language="CNL4DSA">?X_63 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Subject&gt;</expression>
    </datum>
    <datum id="DATUM_X_57" value="">
      <expression language="CNL4DSA">?X_57 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Subject&gt;</expression>
    </datum>
    <datum id="DATUM_X_7" value="">
      <expression language="CNL4DSA">?X_7 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Subject&gt;</expression>
    </datum>
    <datum id="DATUM_X_46" value="">
      <expression language="CNL4DSA">?X_46 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Subject&gt;</expression>
    </datum>
    <datum id="DATUM_X_39" value="">
      <expression language="CNL4DSA">?X_39 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#PoliceOfficer&gt;</expression>
    </datum>
    <datum id="DATUM_X_40" value="">
      <expression language="CNL4DSA">?X_40 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Data&gt;</expression>
    </datum>
    <datum id="DATUM_X_64" value="">
      <expression language="CNL4DSA">?X_64 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#MunicipalityOfficer&gt;</expression>
    </datum>
    <datum id="DATUM_X_58" value="">
      <expression language="CNL4DSA">?X_58 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#MunicipalityOfficer&gt;</expression>
    </datum>
    <datum id="DATUM_X_69" value="1">
      <expression language="CNL4DSA">?X_69 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#SpidAuthLevel&gt;</expression>
    </datum>
    <datum id="DATUM_X_61" value="">
      <expression language="CNL4DSA">?X_61 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Data&gt;</expression>
    </datum>
    <datum id="DATUM_X_68" value="">
      <expression language="CNL4DSA">?X_68 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Subject&gt;</expression>
    </datum>
    <datum id="DATUM_X_38" value="">
      <expression language="CNL4DSA">?X_38 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Subject&gt;</expression>
    </datum>
    <datum id="DATUM_X_48" value="">
      <expression language="CNL4DSA">?X_48 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#System&gt;</expression>
    </datum>
    <datum id="DATUM_X_59" value="">
      <expression language="CNL4DSA">?X_59 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#currentTime&gt;</expression>
    </datum>
    <datum id="DATUM_X_65" value="999325.55669516, 6276296.6210493, 15">
      <expression language="CNL4DSA">?X_65 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Area&gt;</expression>
    </datum>
    <datum id="DATUM_X_60" value="18:00:00 +02">
      <expression language="CNL4DSA">?X_60 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#endWtime&gt;</expression>
    </datum>
    <datum id="DATUM_X_70" value="">
      <expression language="CNL4DSA">?X_70 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Data&gt;</expression>
    </datum>
    <datum id="DATUM_X_9" value="2">
      <expression language="CNL4DSA">?X_9 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#SpidAuthLevel&gt;</expression>
    </datum>
    <datum id="DATUM_X_49" value="">
      <expression language="CNL4DSA">?X_49 is-a &lt;http://testcocodsa.iit.cnr.it:8080/vocabularies/public_administration_vocabulary.owl#Event&gt;</expression>
    </datum>
  </data>
  <authorizations>
    <authorization conflict="false" id="AUTHORIZATION_6" index="0" inputValue="" isPendingRule="true" isProtected="false" statementInfo="?X_9:SpidAuthLevel=2">
      <expression issuer="Legal Expert" language="CNL_4_DSA_E">if ?X_7:Subject hasRole ?X_8:MunicipalityOfficer and ?X_7 hasAuthLevel ?X_9:SpidAuthLevel then ?X_7 can Write ?X_10:Data</expression>
      <expression issuer="Legal Expert" language="UPOL"><![CDATA[<?xml version="1.0" encoding="UTF-8"?>
<Rule Effect="Permit" RuleId="AUTHORIZATION_6">
<Target>
<AnyOf>
<AllOf>
<Match MatchId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Write</AttributeValue>
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:1.0:action:action-id" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:action" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Match>
</AllOf>
</AnyOf>
</Target>
<Condition DecisionTime="pre">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:and">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:and">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:subject:role" Category="urn:oasis:names:tc:xacml:1.0:subject-category:access-subject" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">MunicipalityOfficer</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:subject:authlevel" Category="urn:oasis:names:tc:xacml:1.0:subject-category:access-subject" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">SpidAuthLevel</AttributeValue>
</Apply>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:dsa-status" Category="urn:oasis:names:tc:xacml:1.0:resource-category:access-resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">AVAILABLE</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:subject:access-purpose" Category="urn:oasis:names:tc:xacml:1.0:subject-category:access-subject" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">InstitutionalAdministrativeActivity</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-classification" Category="urn:oasis:names:tc:xacml:3.0:resource-category" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">PoliticalOpinionOrOtherBeliefsData</AttributeValue>
</Apply>
</Apply>
</Condition>
</Rule>
]]></expression>
      <expression issuer="Legal Expert" language="UserText">IF a Subject hasRole MunicipalityOfficer AND that Subject hasAuthLevel a SpidAuthLevel THEN that Subject CAN Write a Data</expression>
      <expression issuer="Legal Expert" language="CNL4DSA">if  isRelatedTo(?X_7,?X_8)  and  hasAuthLevel(?X_7,?X_9)  then  can [?X_7, Write, ?X_10]</expression>
    </authorization>
   </authorizations>
  <dataClassification>PoliticalOpinionOrOtherBeliefsData</dataClassification>
  <consentRequired>false</consentRequired>
</dsa>